Bug 1047463 - Invalid path to h2 database server library
Summary: Invalid path to h2 database server library
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Documentation
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ER05
: 6.2.0
Assignee: JPP Docs Team
QA Contact: Tomas Kyjovsky
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-31 09:03 UTC by Martin Weiler
Modified: 2018-10-17 21:31 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Martin Weiler 2013-12-31 09:03:26 UTC
Description of problem:
Chapter 8.6 - Clustering Configuration
https://access.redhat.com/site/documentation/en-US/Red_Hat_JBoss_Portal/6.1/html/Installation_Guide/chap-Platform-specific_Configuration.html#Clustering_Configuration2

 Run the DataBase server (from the jboss-jpp-6.1 directory):

$ java -cp modules/com/h2database/h2/main/h2-1.3.168-redhat-1.jar org.h2.tools.Server.


This path is incorrect. The correct one is:

$ java -cp modules/system/layers/base/com/h2database/h2/main/h2-1.3.168-redhat-2.jar org.h2.tools.Server

Comment 2 Jared MORGAN 2014-05-20 06:42:34 UTC
(In reply to Martin Weiler from comment #0)
> Description of problem:
> Chapter 8.6 - Clustering Configuration
> https://access.redhat.com/site/documentation/en-US/Red_Hat_JBoss_Portal/6.1/
> html/Installation_Guide/chap-Platform-specific_Configuration.
> html#Clustering_Configuration2
> 
>  Run the DataBase server (from the jboss-jpp-6.1 directory):
> 
> $ java -cp modules/com/h2database/h2/main/h2-1.3.168-redhat-1.jar
> org.h2.tools.Server.
> 
> 
> This path is incorrect. The correct one is:
> 
> $ java -cp
> modules/system/layers/base/com/h2database/h2/main/h2-1.3.168-redhat-2.jar
> org.h2.tools.Server

http://docbuilder.usersys.redhat.com/22544/remarks/#Clustering_Configuration2

The subtle, but important, change in this topic is the switch from "redhat-1" to "redhat-2".

I also noted that the jboss-jpp-6.1 seemed stale for the 6.2 guides, so fixed that as well. 

There were 5 other instance of this in the Installation Guide, so I corrected these as well.

This should be a five minute verification

Comment 4 Jared MORGAN 2014-07-29 01:24:27 UTC
Hey there Tomas

This is now ready for verification.

Comment 5 Tomas Kyjovsky 2014-09-01 11:50:26 UTC
Hi Jared, looking at fresh install of 6.2.0.ER5 I see that the version was upgraded again: 

modules/system/layers/base/com/h2database/h2/main/h2-1.3.168.redhat-4.jar

This was changed on EAP side. Since Portal 6.2.0.ER5 we moved to EAP 6.3.0.GA and there should be no more EAP upgrades for 6.2.0, so this version of H2 is final.

Comment 6 Jared MORGAN 2014-09-08 05:11:20 UTC
(In reply to Tomas Kyjovsky from comment #5)
> Hi Jared, looking at fresh install of 6.2.0.ER5 I see that the version was
> upgraded again: 
> 
> modules/system/layers/base/com/h2database/h2/main/h2-1.3.168.redhat-4.jar
> 
> This was changed on EAP side. Since Portal 6.2.0.ER5 we moved to EAP
> 6.3.0.GA and there should be no more EAP upgrades for 6.2.0, so this version
> of H2 is final.

Thanks Tomas

I've made that minor change in http://docbuilder.usersys.redhat.com/22544/remarks/#Clustering_Configuration2

I take it this bug can be moved to VERIFIED considering no further changes are required?

Comment 7 vramik 2014-09-09 11:13:39 UTC
Verified in ER05.


Note You need to log in before you can comment on or make changes to this bug.